From 00d2f30b456b0d294898d10ead785459682c30f6 Mon Sep 17 00:00:00 2001
From: Shalini Roy <shaliniroy012@gmail.com>
Date: Jan 12 2016 21:08:49 +0000
Subject: [PATCH 240/1001] Handling response code while fetching widget from feed.py


---

diff --git a/hubs/widgets/feed.py b/hubs/widgets/feed.py
index 058c280..b80775d 100644
--- a/hubs/widgets/feed.py
+++ b/hubs/widgets/feed.py
@@ -69,39 +69,42 @@ def data(session, widget, username, fmn_context):
     log.info("Getting FMN preferences from %s" % url)
     print(url)
     response = requests.get(url)
-    preference = response.json()
-    preference = rehydrate_preferences(preference)
-
-    # The smaller we make this, the faster it is.
-    delta = datetime.timedelta(days=365)
-    end = datetime.datetime.utcnow()
-
-    # We currently only support getting the first page.
-    # The widget framework as currently written doesn't support
-    # multiple pages yet.
-    page = 1
-
     messages = []
-    for filter in preference['filters']:
-        rules = filter['rules']
-        fmn_hinting = fmn.lib.hinting.gather_hinting(config, rules, paths)
-        total, pages, rows = datanommer.models.Message.grep(
-            start=end-delta,
-            end=end,
-            rows_per_page=bazillion,
-            page=page,
-            order='desc',
-            **fmn_hinting
-        )
-        messages.extend(rows)
-
     matches = []
-    for message in messages:
-        original = message.__json__()
-        recipients = fmn.lib.recipients(
-            [preference], message.__json__(), paths, config)
-        if recipients:
-            matches.append(original)
+    if response.status_code == 200:
+        preference = response.json()
+        preference = rehydrate_preferences(preference)
+
+        # The smaller we make this, the faster it is.
+        delta = datetime.timedelta(days=365)
+        end = datetime.datetime.utcnow()
+
+        # We currently only support getting the first page.
+        # The widget framework as currently written doesn't support
+        # multiple pages yet.
+        page = 1
+
+        for filter in preference['filters']:
+            rules = filter['rules']
+            fmn_hinting = fmn.lib.hinting.gather_hinting(config, rules, paths)
+            total, pages, rows = datanommer.models.Message.grep(
+                start=end-delta,
+                end=end,
+                rows_per_page=bazillion,
+                page=page,
+                order='desc',
+                **fmn_hinting
+            )
+            messages.extend(rows)
+
+        for message in messages:
+            original = message.__json__()
+            recipients = fmn.lib.recipients(
+                [preference], message.__json__(), paths, config)
+            if recipients:
+                matches.append(original)
+    else:
+        print("You don't have any preferences")
 
     # TODO - sort messages and remove duplicates
 

